Bug 230142 - devel/ncurses: Please update to 6.1
Summary: devel/ncurses: Please update to 6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-29 08:16 UTC by Yuri Victorovich
Modified: 2018-07-31 02:27 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
patch (427 bytes, patch)
2018-07-29 08:20 UTC, Yuri Victorovich
no flags Details | Diff
patch (2.02 KB, patch)
2018-07-29 10:47 UTC, Yuri Victorovich
no flags Details | Diff
patch (1.98 KB, patch)
2018-07-29 22:09 UTC, Yuri Victorovich
no flags Details | Diff
patch (1.94 KB, patch)
2018-07-30 17:51 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-07-29 08:16:40 UTC
https://www.gnu.org/software/ncurses/


Thanks!
Comment 1 Yuri Victorovich freebsd_committer 2018-07-29 08:20:56 UTC
Created attachment 195584 [details]
patch
Comment 2 Yuri Victorovich freebsd_committer 2018-07-29 10:47:47 UTC
Created attachment 195586 [details]
patch
Comment 3 Yuri Victorovich freebsd_committer 2018-07-29 22:09:18 UTC
Created attachment 195613 [details]
patch
Comment 4 Steve Wills freebsd_committer 2018-07-30 13:51:14 UTC
(In reply to Yuri Victorovich from comment #3)
Fails to stage:

strip: open /wrkdirs/usr/ports/devel/ncurses/work/stage/usr/local/lib/*.so.6.1-20180728 failed: No such file or directory
Comment 5 Yuri Victorovich freebsd_committer 2018-07-30 17:51:59 UTC
Created attachment 195651 [details]
patch

Sorry, I didn't retest after the last minute correction.
Comment 6 commit-hook freebsd_committer 2018-07-31 02:27:34 UTC
A commit references this bug:

Author: swills
Date: Tue Jul 31 02:26:36 UTC 2018
New revision: 475966
URL: https://svnweb.freebsd.org/changeset/ports/475966

Log:
  devel/ncurses: update to 6.1

  PR:		230142
  Submitted by:	yuri (changed slightly)

Changes:
  head/devel/ncurses/Makefile
  head/devel/ncurses/distinfo
Comment 7 Steve Wills freebsd_committer 2018-07-31 02:27:45 UTC
Committed, thanks!